<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of year 2004</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="SAS04">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Adam J.</span> <span class="lastname">Chlipala</span></span>,
    <span class="author"><span class="firstname">Thomas A.</span> <span class="lastname">Henzinger</span></span>,
    <span class="author"><span class="firstname">Ranjit</span> <span class="lastname">Jhala</span></span>, and
    <span class="author"><span class="firstname">Rupak</span> <span class="lastname">Majumdar</span></span>.</span>
    <span class="publication-title">The Blast Query Language for Software Verification.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">R.</span> <span class="lastname">Giacobazzi</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 11th International
        Static Analysis Symposium (SAS 2004, Verona, August 26-28)</em>,
      <span class="series">LNCS 3148</span>,
      <span class="pages">pages 2-18</span>,
      <span class="publication-date">  <span class="year">2004</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-540-27864-1_2" data-doi="10.1007/978-3-540-27864-1_2" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-540-27864-1_2</a>
  </span>
  <a class="bibentry-link" href="#SAS04"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/BLAST.html">BLAST</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-540-27864-1_2" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2004-SAS.The_Blast_Query_Language_for_Software_Verification.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        BLAST is an automatic verification tool for checking
        temporal safety properties of C programs. BLAST is
        based on lazy predicate abstraction driven by
        interpolation-based predicate discovery. In this
        paper, we present the BLAST specification
        language. The language specifies program properties at
        two levels of precision. At the lower level, monitor
        automata are used to specify temporal safety
        properties of program executions (traces). At the
        higher level, relational reachability queries over
        program locations are used to combine lower-level
        trace properties. The two-level specification language
        can be used to break down a verification task into
        several independent calls of the model-checking
        engine. In this way, each call to the model checker
        may have to analyze only part of the program, or part
        of the specification, and may thus succeed in a
        reduction of the number of predicates needed for the
        analysis. In addition, the two-level specification
        language provides a means for structuring and
        maintaining specifications.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SAS04,
        author = {Dirk Beyer and Adam J. Chlipala and Thomas A. Henzinger and Ranjit Jhala and Rupak Majumdar},
        title = {The {{\sc Blast}} Query Language for Software Verification},
        booktitle = {Proceedings of the 11th International Static Analysis Symposium (SAS~2004, Verona, August 26-28)},
        editor = {R.~Giacobazzi},
        pages = {2-18},
        year = {2004},
        series = {LNCS~3148},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {3-540-22791-1},
        doi = {10.1007/978-3-540-27864-1_2},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2004-SAS.The_Blast_Query_Language_for_Software_Verification.pdf},
        abstract = {BLAST is an automatic verification tool for checking temporal safety properties of C programs. BLAST is based on lazy predicate abstraction driven by interpolation-based predicate discovery. In this paper, we present the BLAST specification language. The language specifies program properties at two levels of precision. At the lower level, monitor automata are used to specify temporal safety properties of program executions (traces). At the higher level, relational reachability queries over program locations are used to combine lower-level trace properties. The two-level specification language can be used to break down a verification task into several independent calls of the model-checking engine. In this way, each call to the model checker may have to analyze only part of the program, or part of the specification, and may thus succeed in a reduction of the number of predicates needed for the analysis. In addition, the two-level specification language provides a means for structuring and maintaining specifications.},
        keyword = {BLAST,Software Model Checking},
        annote = {},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="IWPC04">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Thomas A.</span> <span class="lastname">Henzinger</span></span>,
    <span class="author"><span class="firstname">Ranjit</span> <span class="lastname">Jhala</span></span>, and
    <span class="author"><span class="firstname">Rupak</span> <span class="lastname">Majumdar</span></span>.</span>
    <span class="publication-title">An Eclipse Plug-in for Model Checking.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 12th IEEE International Workshop on
        Program Comprehension (IWPC 2004, Bari, June 24-26)</em>,
      <span class="pages">pages 251-255</span>,
      <span class="publication-date">  <span class="year">2004</span></span>.
    </span>
    <span class="publisher">IEEE Computer Society Press, Los Alamitos (CA).</span>
    <a class="doi" href="https://doi.org/10.1109/WPC.2004.1311069" data-doi="10.1109/WPC.2004.1311069" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1109/WPC.2004.1311069</a>
  </span>
  <a class="bibentry-link" href="#IWPC04"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/BLAST.html">BLAST</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1109/WPC.2004.1311069" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2004-IWPC.An_Eclipse_Plug-in_for_Model_Checking.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        While model checking has been successful in uncovering
        subtle bugs in code, its adoption in software
        engineering practice has been hampered by the absence
        of a simple interface to the programmer in an
        integrated development environment. We describe an
        integration of the software model checker BLAST into
        the Eclipse development environment. We provide a
        verification interface for practical solutions for
        some typical program analysis problems -assertion
        checking, reachability analysis, dead code analysis,
        and test generation- directly on the source code. The
        analysis is completely automatic, and assumes no
        knowledge of model checking or formal
        notation. Moreover, the interface supports incremental
        program verification to support incremental design and
        evolution of code.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{IWPC04,
        author = {Dirk Beyer and Thomas A. Henzinger and Ranjit Jhala and Rupak Majumdar},
        title = {An {Eclipse} Plug-in for Model Checking},
        booktitle = {Proceedings of the 12th IEEE International Workshop on Program Comprehension (IWPC~2004, Bari, June 24-26)},
        pages = {251-255},
        year = {2004},
        publisher = {IEEE Computer Society Press, Los Alamitos~(CA)},
        isbn = {0-7695-2149-5},
        doi = {10.1109/WPC.2004.1311069},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2004-IWPC.An_Eclipse_Plug-in_for_Model_Checking.pdf},
        abstract = {While model checking has been successful in uncovering subtle bugs in code, its adoption in software engineering practice has been hampered by the absence of a simple interface to the programmer in an integrated development environment. We describe an integration of the software model checker BLAST into the Eclipse development environment. We provide a verification interface for practical solutions for some typical program analysis problems --assertion checking, reachability analysis, dead code analysis, and test generation-- directly on the source code. The analysis is completely automatic, and assumes no knowledge of model checking or formal notation. Moreover, the interface supports incremental program verification to support incremental design and evolution of code.},
        keyword = {BLAST,Software Model Checking},
        annote = {},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ICSE04">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Adam J.</span> <span class="lastname">Chlipala</span></span>,
    <span class="author"><span class="firstname">Thomas A.</span> <span class="lastname">Henzinger</span></span>,
    <span class="author"><span class="firstname">Ranjit</span> <span class="lastname">Jhala</span></span>, and
    <span class="author"><span class="firstname">Rupak</span> <span class="lastname">Majumdar</span></span>.</span>
    <span class="publication-title">Generating Tests from Counterexamples.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 26th IEEE International Conference on
        Software Engineering (ICSE 2004, Edinburgh, May 26-28)</em>,
      <span class="pages">pages 326-335</span>,
      <span class="publication-date">  <span class="year">2004</span></span>.
    </span>
    <span class="publisher">IEEE Computer Society Press, Los Alamitos (CA).</span>
    <a class="doi" href="https://doi.org/10.1109/ICSE.2004.1317455" data-doi="10.1109/ICSE.2004.1317455" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1109/ICSE.2004.1317455</a>
  </span>
  <a class="bibentry-link" href="#ICSE04"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/BLAST.html">BLAST</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1109/ICSE.2004.1317455" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2004-ICSE.Generating_Tests_from_Counterexamples.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        We have extended the software model checker BLAST to
        automatically generate test suites that guarantee full
        coverage with respect to a given predicate. More
        precisely, given a C program and a target predicate p,
        BLAST determines the set L of program locations which
        program execution can reach with p true, and
        automatically generates a set of test vectors that
        exhibit the truth of p at all locations in L. We have
        used BLAST to generate test suites and to detect dead
        code in C programs with up to 30K lines of code. The
        analysis and test-vector generation is fully automatic
        (no user intervention) and exact (no false positives).
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ICSE04,
        author = {Dirk Beyer and Adam J. Chlipala and Thomas A. Henzinger and Ranjit Jhala and Rupak Majumdar},
        title = {Generating Tests from Counterexamples},
        booktitle = {Proceedings of the 26th IEEE International Conference on Software Engineering (ICSE~2004, Edinburgh, May 26-28)},
        pages = {326-335},
        year = {2004},
        publisher = {IEEE Computer Society Press, Los Alamitos~(CA)},
        isbn = {0-7695-2163-0},
        doi = {10.1109/ICSE.2004.1317455},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2004-ICSE.Generating_Tests_from_Counterexamples.pdf},
        abstract = {We have extended the software model checker BLAST to automatically generate test suites that guarantee full coverage with respect to a given predicate. More precisely, given a C program and a target predicate p, BLAST determines the set L of program locations which program execution can reach with p true, and automatically generates a set of test vectors that exhibit the truth of p at all locations in L. We have used BLAST to generate test suites and to detect dead code in C programs with up to 30K lines of code. The analysis and test-vector generation is fully automatic (no user intervention) and exact (no false positives).},
        keyword = {BLAST,Software Model Checking},
        annote = {},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>